ChangeSet 1.1743.3.8, 2004/05/24 17:06:06-07:00, movits@bloomberg.com

[PATCH] USB: add support for MS adapter to usb pegasus net driver

I took the relevant parts from the patch (not some PHY stuff that was
irrelevant).  Attached is the patch against stock 2.6.6.


 drivers/usb/net/pegasus.h |    3 +++
 1 files changed, 3 insertions(+)


diff -Nru a/drivers/usb/net/pegasus.h b/drivers/usb/net/pegasus.h
--- a/drivers/usb/net/pegasus.h	Fri May 28 14:41:16 2004
+++ b/drivers/usb/net/pegasus.h	Fri May 28 14:41:16 2004
@@ -136,6 +136,7 @@
 #define	VENDOR_LANEED		0x056e
 #define	VENDOR_LINKSYS		0x066b
 #define	VENDOR_MELCO		0x0411
+#define	VENDOR_MICROSOFT	0x045e
 #define	VENDOR_MOBILITY		0x1342
 #define	VENDOR_NETGEAR		0x0846
 #define	VENDOR_OCT		0x0b39
@@ -264,6 +265,8 @@
 PEGASUS_DEV( "MELCO/BUFFALO LUA-TX", VENDOR_MELCO, 0x0005,
 		DEFAULT_GPIO_RESET )
 PEGASUS_DEV( "MELCO/BUFFALO LUA2-TX", VENDOR_MELCO, 0x0009,
+		DEFAULT_GPIO_RESET | PEGASUS_II )
+PEGASUS_DEV( "Microsoft MN-110", VENDOR_MICROSOFT, 0x007a,
 		DEFAULT_GPIO_RESET | PEGASUS_II )
 PEGASUS_DEV( "NETGEAR FA101", VENDOR_NETGEAR, 0x1020,
 		DEFAULT_GPIO_RESET | PEGASUS_II )
